/*
 * Class RT_EXTENSION_GENERAL
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_44 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_44 [] = {0xFF01,237,43,0xFFFF};
static const EIF_TYPE_INDEX egt_2_44 [] = {0xFF01,43,0xFFFF};
static const EIF_TYPE_INDEX egt_3_44 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_44 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_44 [] = {0xFF01,43,0xFFFF};
static const EIF_TYPE_INDEX egt_6_44 [] = {0xFF01,43,0xFFFF};
static const EIF_TYPE_INDEX egt_7_44 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_44 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_44 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_44 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_44 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_44 [] = {0xFF01,43,0xFFFF};
static const EIF_TYPE_INDEX egt_13_44 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_44[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_44), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_44), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_44), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_44), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_44), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_44), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_44), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_44), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_44), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_44), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_44), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_44), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x57 /*43*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_44), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1036, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1037, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 1041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1044, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 1045, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 1046, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_44), 1047, 0xFFFFFFFF},
};
void Init44(void)
{
	IDSC(desc_44, 0, 43);
	IDSC(desc_44 + 1, 1, 43);
	IDSC(desc_44 + 32, 330, 43);
	IDSC(desc_44 + 34, 279, 43);
}


#ifdef __cplusplus
}
#endif
